Package org.eclipse.cdt.core.parser

# Enum Class ParserMode

java.lang.Object
java.lang.Enum<ParserMode>
org.eclipse.cdt.core.parser.ParserMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ParserMode>`, `java.lang.constant.Constable`

public enum ParserMode extends Enum<ParserMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPLETE_PARSE`
Follow inclusions, parse function/method bodies.
`COMPLETION_PARSE`
Follow inclusions, parse function/method bodies, stop at a particular offset.
`QUICK_PARSE`
Do not follow inclusions, do not parse function/method bodies.
`SELECTION_PARSE`
Follow inclusions, parse function/method bodies, stop at a particular offset.
`STRUCTURAL_PARSE`
Follow inclusions, do not parse function/method bodies.

## Method Summary

Modifier and Type
Method
Description
`static ParserMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParserMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUICK_PARSE

public static final ParserMode QUICK_PARSE
Do not follow inclusions, do not parse function/method bodies.

### STRUCTURAL_PARSE

public static final ParserMode STRUCTURAL_PARSE
Follow inclusions, do not parse function/method bodies.

### COMPLETE_PARSE

public static final ParserMode COMPLETE_PARSE
Follow inclusions, parse function/method bodies.

### COMPLETION_PARSE

public static final ParserMode COMPLETION_PARSE
Follow inclusions, parse function/method bodies, stop at a particular offset. Provide optimized lookup capability for querying symbols.

### SELECTION_PARSE

public static final ParserMode SELECTION_PARSE
Follow inclusions, parse function/method bodies, stop at a particular offset. Provide specific semantic information about an offset range or selection.

## Method Details

### values

public static ParserMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParserMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null